<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/light_gray">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/surface"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:background="@android:color/transparent"
            android:gravity="center"
            android:text="@string/invoice_account"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="8dp"
            android:orientation="horizontal">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonInputVehicle"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="0dp"
                android:layout_height="64dp"
                android:layout_marginEnd="8dp"
                android:layout_weight="1"
                android:checkable="true"
                android:checked="true"
                android:text="@string/input_vehicle"
                android:textColor="?attr/colorPrimary"
                android:textSize="18sp"
                app:strokeColor="?attr/colorPrimary" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonDonation"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="0dp"
                android:layout_height="64dp"
                android:layout_marginEnd="8dp"
                android:layout_weight="1"
                android:checkable="true"
                android:text="@string/donation_invoice"
                android:textColor="?attr/colorPrimary"
                android:textSize="18sp"
                app:strokeColor="?attr/colorPrimary" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonCustomerIdentifier"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="0dp"
                android:layout_height="64dp"
                android:layout_weight="1"
                android:checkable="true"
                android:text="@string/unified_number"
                android:textColor="?attr/colorPrimary"
                android:textSize="18sp"
                app:strokeColor="?attr/colorPrimary" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="1dp"
            android:background="@color/white"
            android:gravity="center"
            android:paddingVertical="20dp"
            android:orientation="vertical">
            <TextView
                android:id="@+id/textInvoiceCarrier"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:gravity="center"
                android:text="@string/scan_vehicle"
                android:textColor="?attr/colorPrimary"
                android:textSize="30sp"
                android:textStyle="bold" />
            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="320dp"
                android:layout_height="wrap_content"
                android:layout_marginBottom="16dp"
                android:hint="@string/vehicles"
                app:boxBackgroundMode="outline"
                app:boxCornerRadiusBottomEnd="8dp"
                app:boxCornerRadiusBottomStart="8dp"
                app:boxCornerRadiusTopEnd="8dp"
                app:boxCornerRadiusTopStart="8dp"
                app:hintEnabled="true"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/editTextVehicle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:focusable="false"
                    android:focusableInTouchMode="false"
                    android:cursorVisible="false"
                    android:textSize="24sp"
                    android:textStyle="bold" />
            </com.google.android.material.textfield.TextInputLayout>


        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearMark1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/imageCheckout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:adjustViewBounds="true"
                android:background="@null"
                android:scaleType="fitCenter"
                app:srcCompat="@drawable/checkout_barcode" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:gravity="center"
            android:orientation="horizontal">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonCancel"
                style="@style/Widget.MaterialComponents.Button.UnelevatedButton"
                android:layout_width="0dp"
                android:layout_height="64dp"
                android:layout_weight="1"
                android:backgroundTint="@color/warning"
                android:text="@string/back_to_payment"
                android:textColor="@color/white"
                android:textSize="20sp"
                app:cornerRadius="8dp" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/buttonConfirm"
                style="@style/Widget.MaterialComponents.Button.UnelevatedButton"
                android:layout_width="0dp"
                android:layout_height="64dp"
                android:layout_weight="1"
                android:layout_marginStart="16dp"
                android:backgroundTint="?attr/colorPrimary"
                android:enabled="false"
                android:text="@string/confirm"
                android:textColor="@color/white"
                android:textSize="20sp"
                app:cornerRadius="8dp" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>